
public class Class225_Sub14_Sub5 extends Class225_Sub14 {

   String[] aStringArray10046;
   Class434 aClass434_10047;
   int[] anIntArray10048;
   int[][] anIntArrayArray10049;
   public int[] anIntArray10050;
   public boolean aBool10051 = true;


   void method15604(RS2Buffer var1, byte var2) {
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(0 == var3) {
            return;
         }

         this.method15605(var1, var3, (byte)21);
      }
   }

   void method15605(RS2Buffer var1, int var2, byte var3) {
      if(1 == var2) {
         this.aStringArray10046 = Class34.method879(var1.readString((byte)-36), '<', -97645254);
      } else {
         int var4;
         int var5;
         if(var2 == 2) {
            var4 = var1.readUnsignedByte(-700559597);
            this.anIntArray10050 = new int[var4];

            for(var5 = 0; var5 < var4; ++var5) {
               this.anIntArray10050[var5] = var1.readUnsignedShort(-937710807);
            }
         } else if(3 == var2) {
            var4 = var1.readUnsignedByte(-700559597);
            this.anIntArray10048 = new int[var4];
            this.anIntArrayArray10049 = new int[var4][];

            for(var5 = 0; var5 < var4; ++var5) {
               int var6 = var1.readUnsignedShort(-937710807);
               Class527 var7 = Class17.method775(var6, 1950909922);
               if(var7 != null) {
                  this.anIntArray10048[var5] = var6;
                  this.anIntArrayArray10049[var5] = new int[-1434372709 * var7.anInt7178];

                  for(int var8 = 0; var8 < -1434372709 * var7.anInt7178; ++var8) {
                     this.anIntArrayArray10049[var5][var8] = var1.readUnsignedShort(-937710807);
                  }
               }
            }
         } else if(var2 == 4) {
            this.aBool10051 = false;
         }
      }

   }

   public String method15606() {
      StringBuilder var1 = new StringBuilder(80);
      if(null == this.aStringArray10046) {
         return "";
      } else {
         var1.append(this.aStringArray10046[0]);

         for(int var2 = 1; var2 < this.aStringArray10046.length; ++var2) {
            for(int var3 = 0; var3 < 3; ++var3) {
               var1.append('.');
            }

            var1.append(this.aStringArray10046[var2]);
         }

         return var1.toString();
      }
   }

   public void method15607(RS2Buffer var1, int[] var2, int var3) {
      if(null != this.anIntArray10048) {
         for(int var4 = 0; var4 < this.anIntArray10048.length && var4 < var2.length; ++var4) {
            int var5 = this.method15626(var4, -252909068).anInt7176 * 475341359;
            if(var5 > 0) {
               var1.method13741((long)var2[var4], var5, 2014923246);
            }
         }

      }
   }

   public String method15608(RS2Buffer var1, int var2) {
      StringBuilder var3 = new StringBuilder(80);
      if(null != this.anIntArray10048) {
         for(int var4 = 0; var4 < this.anIntArray10048.length; ++var4) {
            var3.append(this.aStringArray10046[var4]);
            var3.append(this.aClass434_10047.method7329(this.method15626(var4, -1752823695), this.anIntArrayArray10049[var4], var1.method13731(Class17.method775(this.anIntArray10048[var4], 2129058411).anInt7161 * -1325827201, (byte)4)));
         }
      }

      var3.append(this.aStringArray10046[this.aStringArray10046.length - 1]);
      return var3.toString();
   }

   public String method15609(short var1) {
      StringBuilder var2 = new StringBuilder(80);
      if(null == this.aStringArray10046) {
         return "";
      } else {
         var2.append(this.aStringArray10046[0]);

         for(int var3 = 1; var3 < this.aStringArray10046.length; ++var3) {
            for(int var4 = 0; var4 < 3; ++var4) {
               var2.append('.');
            }

            var2.append(this.aStringArray10046[var3]);
         }

         return var2.toString();
      }
   }

   public int method15610() {
      return null == this.anIntArray10048?0:this.anIntArray10048.length;
   }

   public String method15611() {
      StringBuilder var1 = new StringBuilder(80);
      if(null == this.aStringArray10046) {
         return "";
      } else {
         var1.append(this.aStringArray10046[0]);

         for(int var2 = 1; var2 < this.aStringArray10046.length; ++var2) {
            for(int var3 = 0; var3 < 3; ++var3) {
               var1.append('.');
            }

            var1.append(this.aStringArray10046[var2]);
         }

         return var1.toString();
      }
   }

   public int method15612(int var1, int var2, byte var3) {
      return null != this.anIntArray10048 && var1 >= 0 && var1 <= this.anIntArray10048.length?(this.anIntArrayArray10049[var1] != null && var2 >= 0 && var2 <= this.anIntArrayArray10049[var1].length?this.anIntArrayArray10049[var1][var2]:-1):-1;
   }

   void method15613(int var1) {
      if(null != this.anIntArray10050) {
         for(int var2 = 0; var2 < this.anIntArray10050.length; ++var2) {
            this.anIntArray10050[var2] |= '\u8000';
         }
      }

   }

   void method15614(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method15605(var1, var2, (byte)30);
      }
   }

   void method15615(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method15605(var1, var2, (byte)78);
      }
   }

   void method15616(RS2Buffer var1, int var2) {
      if(1 == var2) {
         this.aStringArray10046 = Class34.method879(var1.readString((byte)0), '<', -1537996268);
      } else {
         int var3;
         int var4;
         if(var2 == 2) {
            var3 = var1.readUnsignedByte(-700559597);
            this.anIntArray10050 = new int[var3];

            for(var4 = 0; var4 < var3; ++var4) {
               this.anIntArray10050[var4] = var1.readUnsignedShort(-937710807);
            }
         } else if(3 == var2) {
            var3 = var1.readUnsignedByte(-700559597);
            this.anIntArray10048 = new int[var3];
            this.anIntArrayArray10049 = new int[var3][];

            for(var4 = 0; var4 < var3; ++var4) {
               int var5 = var1.readUnsignedShort(-937710807);
               Class527 var6 = Class17.method775(var5, 2143416390);
               if(var6 != null) {
                  this.anIntArray10048[var4] = var5;
                  this.anIntArrayArray10049[var4] = new int[-1434372709 * var6.anInt7178];

                  for(int var7 = 0; var7 < -1434372709 * var6.anInt7178; ++var7) {
                     this.anIntArrayArray10049[var4][var7] = var1.readUnsignedShort(-937710807);
                  }
               }
            }
         } else if(var2 == 4) {
            this.aBool10051 = false;
         }
      }

   }

   public void method15617(RS2Buffer var1, int[] var2) {
      if(null != this.anIntArray10048) {
         for(int var3 = 0; var3 < this.anIntArray10048.length && var3 < var2.length; ++var3) {
            int var4 = this.method15626(var3, 649675481).anInt7176 * 475341359;
            if(var4 > 0) {
               var1.method13741((long)var2[var3], var4, 263234117);
            }
         }

      }
   }

   public void method15618(RS2Buffer var1, int[] var2) {
      if(null != this.anIntArray10048) {
         for(int var3 = 0; var3 < this.anIntArray10048.length && var3 < var2.length; ++var3) {
            int var4 = this.method15626(var3, -1138692560).anInt7176 * 475341359;
            if(var4 > 0) {
               var1.method13741((long)var2[var3], var4, 1723211435);
            }
         }

      }
   }

   void method15619(RS2Buffer var1, int var2) {
      if(1 == var2) {
         this.aStringArray10046 = Class34.method879(var1.readString((byte)70), '<', -101559344);
      } else {
         int var3;
         int var4;
         if(var2 == 2) {
            var3 = var1.readUnsignedByte(-700559597);
            this.anIntArray10050 = new int[var3];

            for(var4 = 0; var4 < var3; ++var4) {
               this.anIntArray10050[var4] = var1.readUnsignedShort(-937710807);
            }
         } else if(3 == var2) {
            var3 = var1.readUnsignedByte(-700559597);
            this.anIntArray10048 = new int[var3];
            this.anIntArrayArray10049 = new int[var3][];

            for(var4 = 0; var4 < var3; ++var4) {
               int var5 = var1.readUnsignedShort(-937710807);
               Class527 var6 = Class17.method775(var5, 1871476948);
               if(var6 != null) {
                  this.anIntArray10048[var4] = var5;
                  this.anIntArrayArray10049[var4] = new int[-1434372709 * var6.anInt7178];

                  for(int var7 = 0; var7 < -1434372709 * var6.anInt7178; ++var7) {
                     this.anIntArrayArray10049[var4][var7] = var1.readUnsignedShort(-937710807);
                  }
               }
            }
         } else if(var2 == 4) {
            this.aBool10051 = false;
         }
      }

   }

   public String method15620(RS2Buffer var1) {
      StringBuilder var2 = new StringBuilder(80);
      if(null != this.anIntArray10048) {
         for(int var3 = 0; var3 < this.anIntArray10048.length; ++var3) {
            var2.append(this.aStringArray10046[var3]);
            var2.append(this.aClass434_10047.method7329(this.method15626(var3, 175310041), this.anIntArrayArray10049[var3], var1.method13731(Class17.method775(this.anIntArray10048[var3], 2080165764).anInt7161 * -1325827201, (byte)4)));
         }
      }

      var2.append(this.aStringArray10046[this.aStringArray10046.length - 1]);
      return var2.toString();
   }

   public String method15621(RS2Buffer var1) {
      StringBuilder var2 = new StringBuilder(80);
      if(null != this.anIntArray10048) {
         for(int var3 = 0; var3 < this.anIntArray10048.length; ++var3) {
            var2.append(this.aStringArray10046[var3]);
            var2.append(this.aClass434_10047.method7329(this.method15626(var3, -152002515), this.anIntArrayArray10049[var3], var1.method13731(Class17.method775(this.anIntArray10048[var3], 1906297687).anInt7161 * -1325827201, (byte)4)));
         }
      }

      var2.append(this.aStringArray10046[this.aStringArray10046.length - 1]);
      return var2.toString();
   }

   public int method15622(int var1) {
      if(null == this.anIntArray10048) {
         if(var1 == 479528911) {
            ;
         }

         return 0;
      } else {
         return this.anIntArray10048.length;
      }
   }

   void method15623(RS2Buffer var1, int var2) {
      if(1 == var2) {
         this.aStringArray10046 = Class34.method879(var1.readString((byte)-39), '<', -170610295);
      } else {
         int var3;
         int var4;
         if(var2 == 2) {
            var3 = var1.readUnsignedByte(-700559597);
            this.anIntArray10050 = new int[var3];

            for(var4 = 0; var4 < var3; ++var4) {
               this.anIntArray10050[var4] = var1.readUnsignedShort(-937710807);
            }
         } else if(3 == var2) {
            var3 = var1.readUnsignedByte(-700559597);
            this.anIntArray10048 = new int[var3];
            this.anIntArrayArray10049 = new int[var3][];

            for(var4 = 0; var4 < var3; ++var4) {
               int var5 = var1.readUnsignedShort(-937710807);
               Class527 var6 = Class17.method775(var5, 1702229359);
               if(var6 != null) {
                  this.anIntArray10048[var4] = var5;
                  this.anIntArrayArray10049[var4] = new int[-1434372709 * var6.anInt7178];

                  for(int var7 = 0; var7 < -1434372709 * var6.anInt7178; ++var7) {
                     this.anIntArrayArray10049[var4][var7] = var1.readUnsignedShort(-937710807);
                  }
               }
            }
         } else if(var2 == 4) {
            this.aBool10051 = false;
         }
      }

   }

   public String method15624() {
      StringBuilder var1 = new StringBuilder(80);
      if(null == this.aStringArray10046) {
         return "";
      } else {
         var1.append(this.aStringArray10046[0]);

         for(int var2 = 1; var2 < this.aStringArray10046.length; ++var2) {
            for(int var3 = 0; var3 < 3; ++var3) {
               var1.append('.');
            }

            var1.append(this.aStringArray10046[var2]);
         }

         return var1.toString();
      }
   }

   public int method15625() {
      return null == this.anIntArray10048?0:this.anIntArray10048.length;
   }

   public Class527 method15626(int var1, int var2) {
      return null != this.anIntArray10048 && var1 >= 0 && var1 <= this.anIntArray10048.length?Class17.method775(this.anIntArray10048[var1], 1947289493):null;
   }

   public Class527 method15627(int var1) {
      return null != this.anIntArray10048 && var1 >= 0 && var1 <= this.anIntArray10048.length?Class17.method775(this.anIntArray10048[var1], 1683648493):null;
   }

   public Class527 method15628(int var1) {
      return null != this.anIntArray10048 && var1 >= 0 && var1 <= this.anIntArray10048.length?Class17.method775(this.anIntArray10048[var1], 1855353110):null;
   }

   public Class527 method15629(int var1) {
      return null != this.anIntArray10048 && var1 >= 0 && var1 <= this.anIntArray10048.length?Class17.method775(this.anIntArray10048[var1], 2000803838):null;
   }
}
